package excode

import "git.apinb.com/bsm-sdk/core/errcode"

var (
	ErrNotProvider   = errcode.NewError(1600, "Not Provider")
	ErrProviderIsNil = errcode.NewError(1601, "Provider Is Nil")
	ErrAppName       = errcode.NewError(1602, "params app name is must required")
	ErrPhone         = errcode.NewError(1603, "params phone is must required")
	ErrTemplate      = errcode.NewError(1604, "params template code is must required")
	ErrMustWhiteList = errcode.NewError(1605, "params phone must in white list")
	ErrInBlackList   = errcode.NewError(1606, "params phone is in black list")
	ErrSentLimit     = errcode.NewError(1607, "This account has reached the sending limit today")
	ErrExpired       = errcode.NewError(1608, "Not found or expired")
	ErrCode          = errcode.NewError(1609, "code error")
	ErrEmail         = errcode.NewError(1610, "email format error")
)
